---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libretransform004.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F570, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x514B0, symBinAddr: 0xE0F0, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x518A0, symBinAddr: 0xE4E0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52840, symBinAddr: 0xF480, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52850, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F1F0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F1F4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F1F8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F350, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F408, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F40C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F410, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F414, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F418, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F420, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4F430, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F438, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F440, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F448, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F450, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F458, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F4A0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4660, symSize: 0x80 }
  - { offsetInCU: 0x91BE, offset: 0x91BE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x45B0, symSize: 0xB0 }
  - { offsetInCU: 0x9219, offset: 0x9219, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x44B0, symSize: 0x100 }
  - { offsetInCU: 0x94AC, offset: 0x94AC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x46E0, symSize: 0x220 }
  - { offsetInCU: 0x9691, offset: 0x9691, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4900, symSize: 0xA0 }
  - { offsetInCU: 0x9744, offset: 0x9744, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x49A0, symSize: 0x110 }
  - { offsetInCU: 0x983A, offset: 0x983A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4AB0, symSize: 0x150 }
  - { offsetInCU: 0x9997, offset: 0x9997, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4C00, symSize: 0x30 }
  - { offsetInCU: 0x9A58, offset: 0x9A58, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4C30, symSize: 0x150 }
  - { offsetInCU: 0x9C50, offset: 0x9C50, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4D80, symSize: 0x160 }
  - { offsetInCU: 0x9DDC, offset: 0x9DDC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4EE0, symSize: 0x1B0 }
  - { offsetInCU: 0x9FF7, offset: 0x9FF7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5090, symSize: 0xA0 }
  - { offsetInCU: 0xA0F2, offset: 0xA0F2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5130, symSize: 0x20 }
  - { offsetInCU: 0xA129, offset: 0xA129, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5150, symSize: 0x20 }
  - { offsetInCU: 0xA160, offset: 0xA160, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5170, symSize: 0x20 }
  - { offsetInCU: 0xA2CF, offset: 0xA2CF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5190, symSize: 0x1A0 }
  - { offsetInCU: 0xA5EB, offset: 0xA5EB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x5330, symSize: 0x130 }
  - { offsetInCU: 0xA79B, offset: 0xA79B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5460, symSize: 0x80 }
  - { offsetInCU: 0xA864, offset: 0xA864, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x54E0, symSize: 0x6A0 }
  - { offsetInCU: 0xB3F9, offset: 0xB3F9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9FE0, symBinAddr: 0x6650, symSize: 0xB0 }
  - { offsetInCU: 0xB470, offset: 0xB470, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5B80, symSize: 0x70 }
  - { offsetInCU: 0xB52C, offset: 0xB52C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5BF0, symSize: 0xA0 }
  - { offsetInCU: 0xB657, offset: 0xB657, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5C90, symSize: 0x40 }
  - { offsetInCU: 0xB74D, offset: 0xB74D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5CD0, symSize: 0x2B0 }
  - { offsetInCU: 0xBAF3, offset: 0xBAF3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5F80, symSize: 0xC0 }
  - { offsetInCU: 0xBC39, offset: 0xBC39, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x6040, symSize: 0x10 }
  - { offsetInCU: 0xBCFB, offset: 0xBCFB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x6050, symSize: 0x220 }
  - { offsetInCU: 0xBFF8, offset: 0xBFF8, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6270, symSize: 0x10 }
  - { offsetInCU: 0xC04E, offset: 0xC04E, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6280, symSize: 0x280 }
  - { offsetInCU: 0xC363, offset: 0xC363, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E90, symBinAddr: 0x6500, symSize: 0x10 }
  - { offsetInCU: 0xC3E5, offset: 0xC3E5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RetransformClasses_retransform004_forceLoadedClassesRetransformation, symObjAddr: 0x9EA0, symBinAddr: 0x6510, symSize: 0x90 }
  - { offsetInCU: 0xC4C4, offset: 0xC4C4, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0x9F30, symBinAddr: 0x65A0, symSize: 0xB0 }
  - { offsetInCU: 0xC5F4, offset: 0xC5F4, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA090, symBinAddr: 0x6700, symSize: 0x36A }
...
